# prj.conf file, nothing is needed, shall stay empty.
CONFIG_STDOUT_CONSOLE=y
# Copyright (c) 2019 Peter Bigot Consulting, LLC
#
# SPDX-License-Identifier: Apache-2.0
#

# Optionally force the file system to be recreated
#CONFIG_APP_WIPE_STORAGE=y

# fs_dirent structures are big.
CONFIG_MAIN_STACK_SIZE=4096

# Let __ASSERT do its job
CONFIG_DEBUG=y

CONFIG_LOG=y
CONFIG_LOG_MODE_MINIMAL=y
CONFIG_LOG_DEFAULT_LEVEL=2

CONFIG_FLASH=y
CONFIG_FLASH_MAP=y

CONFIG_FILE_SYSTEM=y
CONFIG_FILE_SYSTEM_LITTLEFS=y

CONFIG_SENSOR=y
CONFIG_ADLTC2991=y

CONFIG_DAC=y
CONFIG_DAC_AD5254=y

CONFIG_NANOPB=y

# Set log levels
CONFIG_I2C_LOG_LEVEL_DBG=y
CONFIG_SENSOR_LOG_LEVEL_DBG=y

CONFIG_BAT_CAPACITY_AH=100
CONFIG_CELL_TYPE_NMC=y

# ONLY ACTIVATE FOR BOOTCOUNTER RESET
# CONFIG_APP_WIPE_STORAGE=y